.site-header {
  height: calc(2.5rem + env(safe-area-inset-top));
  position: relative;

}

.nav-wrapper {
  position: fixed;
  top: 0;
  width: 100vw;
  height: calc(2.5rem + env(safe-area-inset-top));
  z-index: 1000;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  gap: var(--mobile-inner-margin);
  padding-left: var(--mobile-side-margin);
  padding-right: var(--mobile-side-margin);
  background-color: var(--white);
}

.nav-wrapper .logo-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  height:100%;
  position: relative;
}

.custom-logo-link {
  display: block;
}

.custom-logo{
  height: var(--nav-font-size);
  color:var(--black);
  width: auto;
}

.logo-wrapper a {
  color: var(--black);
  font-family: var(--font-family-header), sans-serif;
font-size: 1.5rem;
}


.main-nav {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  gap: var(--mobile-inner-margin);
  height: 100%;
}

.main-nav .menu-btn {
  position: relative;
  display:none;
}

.main-nav-desktop {
  display: block;
}

.main-nav-desktop ul {
display:flex;
gap: var(--mobile-inner-margin);
}

.main-nav-mobile {
  position: fixed;
  height: calc(100vh - 2.5rem - env(safe-area-inset-top));
  bottom: 0;
  width: 100%;
  left: 0;
  background-color: var(--black);
  z-index: 50;
  transition: transform 0.4s ease;
  transform: translateY(-100vh);
  pointer-events: none;
  display: flex;
}


.main-nav-mobile.visible {
  transform: translateY(0);
  opacity: 1;
  pointer-events: auto;

}

.main-nav-mobile.invisible {
  transform: translateY(-100vh);
  opacity: 1;
  pointer-events: none;

}

#open-menu-icon.visible,
#close-menu-icon.visible {
  display: block;

}

#open-menu-icon.invisible,
#close-menu-icon.invisible {
  display: none;
}

.main-nav-mobile .menu-items {
  margin: 0 auto;
  position: absolute;
  right: 0;
  width: 100%;
  padding-top: 2rem;
  z-index: 1000;
  padding-left: var(--mobile-side-margin);
  padding-right: var(--mobile-side-margin);

}

.main-nav-mobile .menu-items .nav-list {
  display: flex;
  flex-flow: column nowrap;
  justify-content: left;
  align-items: flex-start;
  gap: var(--mobile-inner-margin);
}

.nav-list .menu-item {
  display: flex;
  align-items: center;
  justify-content: left;
  min-height: var(--icon-font-size);
  gap: var(--mobile-inner-margin);
  margin:unset;
}

.nav-list .menu-item::before {
  content:"";
  background-color: transparent;
  width: 0;
  height: 0;
}

.nav-list .menu-item a {
  font-size: var(--nav-font-size);
  color:var(--black);
  display: flex;
  flex-flow: row nowrap;
  gap: var(--mobile-inner-margin);
  align-items: center;
}


.main-nav-mobile .menu-items .language-selector-container {
  font-size: var(--nav-font-size);
  z-index: 10000;
  justify-content: center;
  margin: var(--mobile-inner-margin) auto;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}



@supports (height: 100dvh) {

  .main-nav-mobile,
  .hero-wrapper {
    height: calc(100dvh - 2.5rem - env(safe-area-inset-top));
  }


}

/* Media query para cuando el dispositivo está en vertical (orientación portrait) */
@media (orientation: portrait) {
  .herozoo-image {

  }
}




@media only screen and (min-width: 480px) {
  :root {

  }

}

@media only screen and (min-width: 600px) {
  :root {


  }

}

/* 📱 TABLET (a partir de 768px): */
@media (min-width: 768px) {
  :root {


  }


}

/* 💻 DESKTOP (a partir de 1024px o 1200px, según prefieras): */
@media (min-width: 1024px) {

  :root {

  }

}